> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elimina un gruppo IdP dell’account

> Rimuovi un gruppo IdP registrato da questa Enterprise.

<div id="permissions">
  ## Autorizzazioni
</div>

Richiede un utente di servizio che disponga dell'autorizzazione `ManageAccountMembership` a livello Enterprise.


## OpenAPI

````yaml it/v3-openapi.yaml DELETE /v3/enterprise/idp-groups/{idp_group_name}
openapi: 3.1.0
info:
  description: API Devin v3 con autenticazione utente di servizio e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/idp-groups/{idp_group_name}:
    delete:
      tags:
        - idp_groups
      summary: Elimina un gruppo IdP dell’account
      description: Rimuovi un gruppo IdP registrato da questa Enterprise.
      operationId: >-
        handle_delete_account_idp_group_v3_enterprise_idp_groups__idp_group_name__delete
      parameters:
        - in: path
          name: idp_group_name
          required: true
          schema:
            title: Idp Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdpGroupResponse'
          description: Risposta riuscita
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
components:
  schemas:
    IdpGroupResponse:
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
      required:
        - idp_group_name
      title: IdpGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credenziale dell''utente del servizio (prefisso: cog_)'
      scheme: bearer
      type: http

````